package migrations

import migrate "github.com/rubenv/sql-migrate"

func init() {
	m := &Migration{
		Migration: &migrate.Migration{
			Id: "20210503145848_create_media_types_table",
			Up: []string{
				`CREATE TABLE media_types (
					created_at timestamp WITH time zone NOT NULL DEFAULT now(),
					id smallint NOT NULL GENERATED BY DEFAULT AS IDENTITY,
					media_type text NOT NULL,
					CONSTRAINT pk_media_types PRIMARY KEY (id),
					CONSTRAINT unique_media_types_type UNIQUE (media_type),
					CONSTRAINT check_media_types_type_length CHECK ((char_length(media_type) <= 255))
				)`,
			},
			Down: []string{
				"DROP TABLE IF EXISTS media_types CASCADE",
			},
		},
		PostDeployment: false,
	}

	allMigrations = append(allMigrations, m)
}
